Name:		qubes-usb-proxy
Version:	1.3.1
Release:	1%{?dist}
Summary:	USBIP wrapper to run it over Qubes RPC connection

Group:		System
License:	GPLv2
URL:		https://www.qubes-os.org/
BuildArch:  noarch

BuildRequires: make
Requires:   usbutils

Source0: %{name}-%{version}.tar.gz

%description
USBIP wrapper to run it over Qubes RPC connection

%prep
%setup -q

%install
make install-vm DESTDIR=${RPM_BUILD_ROOT}

%files
#%%doc
/etc/qubes-rpc/qubes.USB
/etc/qubes-rpc/qubes.USBAttach
/etc/qubes-rpc/qubes.USBDetach
/etc/qubes/suspend-pre.d/usb-detach-all.sh
/usr/lib/qubes/usb-import
/usr/lib/qubes/usb-export
/usr/lib/qubes/usb-detach-all
/usr/lib/qubes/usb-reset
/usr/lib/udev/rules.d/80-qubes-usb-reset.rules

%changelog
* Sat Aug 24 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-usb-proxy.git

* Sat Aug 24 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2a9664f
- version 1.3.1

* Wed Aug 21 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 874b1fa
- tests: assertEquals -> assertEqual

* Fri Jun 21 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9c6d6bd
- version 1.3.0

* Fri Jun 21 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - f86dbf6
- q-dev: fix loop

* Tue Jun 18 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 29d32c5
- q-dev: handle invalid values

* Mon Jun 17 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 18abd26
- q-dev: handle invalid values

* Mon Jun 17 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 54fca94
- q-dev: cleanup

* Mon Jun 17 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 7cbbb49
- q-dev: do not use unicode_escape

* Mon Jun 10 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 227ec98
- q-dev: keep partial backward compatibility in tests

* Thu Jun 06 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - cad623a
- q-dev: keep partial backward compatibility for auto-attachment

* Sun Jun 02 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 5cb2a8f
- q-dev: keep partial backward compatibility

* Sat Jun 01 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - f6ad1c3
- q-dev: small fix for unknown devices

* Sat Jun 01 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 9094561
- q-dev: fix attaching usb devices on domain start

* Sat Jun 01 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - fca4777
- q-dev: update integ tests

* Sat Jun 01 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 0be9633
- q-dev: minor optimization

* Sat Jun 01 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - f9f84be
- q-dev: device protocol

* Sat Jun 01 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - e7acdf4
- q-dev: use ext/utils

* Sat Jun 01 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 785bd62
- q-dev: port assignment

* Sat Jun 01 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - d261a0f
- q-dev: implementation of self_identity

* Sat Jun 01 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - daac099
- q-dev: frontend_device -> attachment

* Sat Jun 01 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - ece1fd0
- q-dev: usb device full identity

* Sat Jun 01 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 1f3aa0c
- q-dev: fire device-attach on domain start

* Sat Jun 01 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - b8513dc
- q-dev: assignments -> get_assigned_devices

* Sat Jun 01 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 30fa006
- q-dev: DeviceInterface

* Sat Jun 01 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - ab08892
- q-dev: events

* Sat Jun 01 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - d985cf1
- q-dev: implement part of new API for DeviceInfo

* Wed May 29 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 44d2d6d
- version 1.2.2

* Wed May 29 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 15fa205
- Enable reset on attach for Nitrokey 3 Bootloader

* Wed May 29 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9cfe720
- Add mechanism to reset device just before attaching

* Wed May 29 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4f7fe16
- Do not needlessly reattach device to usbip-host

* Mon Apr 15 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7030f45
- version 1.2.1

* Wed Apr 10 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8701390
- Remove too strict validation of a trusted parameter

* Wed Mar 27 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0b43c06
- version 1.2.0

* Sat Mar 16 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 52a3b86
- tests: add trailing newline to qubes.USBAttach input

* Sat Mar 16 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 1791321
- Support devices blocked by usbguard

* Sat Mar 16 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - af57456
- Clean up various shell scripts

* Sat Apr 29 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 57ab394
- version 1.1.5

* Mon Apr 17 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fae57e2
- Bare support for new packaging with PKGBUILD.in

* Sun Apr 02 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e1becec
- Rework Archlinux packaging

* Wed Jan 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ed55d00
- version 1.1.4

* Wed Jan 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 92cd99f
- Add missing import collections

* Wed Jan 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bd99f86
- version 1.1.3

* Mon Jan 16 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 99c6e12
- spec: add BR python3-setuptools

* Mon Jan 16 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 090a2b0
- Cleanup python2 code and packaging

* Wed Jan 04 2023 Rudd-O <rudd-o@rudd-o.com> - 6a32aba
- Fix sys-usb: keyerror that prevents persistent attachments on VM start.

* Thu Oct 27 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a6c84cc
- version 1.1.2

* Mon Oct 24 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0c7d8b7
- Detach all devices before suspending

* Mon Oct 24 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fa34c1f
- Use async/await

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - cdfda03
- .qubesbuilder: replace 'spec' by 'build'

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4678717
- Add Qubes Builder v2 integration

